<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Features of the Image View
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="General-Object-Editing_7440089.html">General Object Editing</a></span>
              </li>
              <li>
                <span><a href="Text-Image-Link-Editor_7439374.html">Text Image Link Editor</a></span>
              </li>
              <li>
                <span><a href="Image-View_7439384.html">Image View</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Features of the Image View</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Philipp Vanscheidt</span>, last modified by <span class="editor">Oliver Schmid</span> on Jun 18, 2012
          </div>
          <div id="main-content" class="wiki-content group">
            <p class="noindent">
              For editing images, the Image View provides you with several functionalities: selections, docking lines, writing mode, rotation function and the Layer Editor. Most are accessible via the context menu by right-clicking.
            </p>
            <p class="subsubsectionHead">
              <strong>Selections</strong>
            </p>
            <p class="noindent">
              A main feature of the Image View is creating and handling different selections of an image. You can create two kinds of shape (rectangles and polygons) to select areas of a picture. A shape which is not yet linked to a text sequence is displayed with a dashed outline or frame. A solid line marks shapes in the image which are already linked with text sequences in the XML Editor View. An existing shape can be selected or activated by double-clicking it. Then its border will change its color. You can choose more than one selection by double-clicking the created shapes while pressing the [Ctrl] key.
            </p>
            <p class="subsubsectionHead">
              <strong>Docking Line Settings</strong>
            </p>
            <p class="stmary-10x-x-109">
              You can set docking lines as an optical help after selecting the docking line mode in the <a href="Toolkit_7439404.html">Toolkit</a>. After a new docking line has been drawn, it can be aligned horizontally or vertically by [Shift+H] or [Shift+V] or via the context menu. Click [Ctrl+V] to duplicate a docking line. The appearance of docking lines can be modified by using the "Docking Line Settings":
            </p>
            <ol class="enumerate1">
              <li class="enumerate">Right-click in the Image View.
              </li>
              <li class="enumerate">Select “Docking Lines”.
              </li>
              <li class="enumerate">Select “Settings”.
              </li>
              <li class="enumerate">You can choose various line styles: Dot, Solid, Dash, DashDot, DashDotDot.
              </li>
              <li class="enumerate">There are five grades of line width for docking lines. The larger the number, the thicker the line.
              </li>
              <li class="enumerate">The line spacing between cloned docking lines can be defined by selecting a new value between “10” and “150”.
              </li>
            </ol>
            <p class="noindent">
              The colors of active and inactive docking lines can also be selected by clicking on the two colored squares in the “Docking Line Settings” dialog box. After clicking on the squares, a palette will pop up. Use the arrow to change the colors of active and inactive docking lines.
            </p>
            <p class="noindent">
              <img class="confluence-embedded-image" src="attachments/7439386/7766158.png" data-image-src="attachments/7439386/7766158.png"/>
            </p>
            <div class="figure">
              <p>
                 
              </p>
              <div class="noprint">
                <div class="caption">
                  <div class="table-wrap">
                    <div class="table-wrap">
                      <table class="confluenceTable">
                        <tbody>
                          <tr>
                            <th class="confluenceTh">
                              Docking Line Settings
                            </th>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
              <div class="caption">
                <p class="subsubsectionHead">
                  <strong>Writing Mode</strong>
                </p>
              </div>
            </div>
            <p class="noindent">
              In "Writing Mode", you can add information about the text direction to the selected sections on an image. Use [Shift+S]  to show or hide the writing mode of a selected shape. The writing mode for the active selection(s) or for the active document can be changed by right-clicking in the Image View. The following options can be chosen:
            </p>
            <ul class="itemize1">
              <li class="itemize">none: this is the default value
              </li>
              <li class="itemize">lr: from left to right
              </li>
              <li class="itemize">lr-tb: from left to right and from top to bottom
              </li>
              <li class="itemize">rl: from right to left
              </li>
              <li class="itemize">rl-tb: from right to left and from top to bottom
              </li>
              <li class="itemize">tb: from top to bottom
              </li>
              <li class="itemize">tb-rl: from top to bottom and from right to left
              </li>
            </ul>
            <p class="noindent">
              If you want to set the writing mode for the whole document, then select “Writing Mode <span class="cmmi-10x-x-109">&gt;</span> Set writing mode for active document” before creating the shapes. This will change the writing mode for all selections which do not yet have a writing mode. All shapes created afterwards will use this value. If you want to set the writing mode for a selected shape only, please choose “Writing Mode <span class="cmmi-10x-x-109">&gt;</span> Set writing mode for active selection(s)”.
            </p>
            <p class="subsubsectionHead">
              <strong>Set Rotation Angle</strong>
            </p>
            <p class="noindent">
              There are two ways to rotate a rectangular shape around its middle axis: Via a dialog box or around a virtual axis by moving the mouse. The “Set Rotation Angle” dialog can only be opened  when a shape is selected by
            </p>
            <ul class="itemize1">
              <li class="itemize">right-clicking in the Image View, selecting “Shape rotation” and “Set Shape rotation for active selection(s)”
              </li>
              <li class="itemize">clicking the box with information about the rotation angle in the status bar of the Image View. The default setting is 0<sup><span class="cmsy-8">°</span></sup>. Via context menu or [Shift+P] you can show or hide the rotation angle in the <a href="Status-Bar-of-the-Image-View_7439394.html">status bar of the Image View</a>.
              </li>
            </ul>
            <p class="itemize">
              <img class="confluence-embedded-image" src="attachments/7439386/7766159.png" data-image-src="attachments/7439386/7766159.png"/>
            </p>
            <div class="figure">
              <p>
                 
              </p>
              <div class="noprint">
                <div class="caption">
                  <div class="table-wrap">
                    <div class="table-wrap">
                      <table class="confluenceTable">
                        <tbody>
                          <tr>
                            <th class="confluenceTh">
                              Set Rotation Angle
                            </th>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
              <div class="caption">
                <p class="noindent">
                  The angle can be set via the scrollbar. You can also rotate selected rectangle shapes with your mouse via the context menu under “Shape rotation <span class="cmmi-10x-x-109">&gt;</span> Activate/Deactivate Shape rotation mode" or by the shortcut [Shift+R].
                </p>
              </div>
            </div>
            <p class="subsubsectionHead">
              <strong>The Layer Editor</strong>
            </p>
            <p class="stmary-10x-x-109">
              It is possible to create logical groups of links (e.g. verses, comments) using the Layer Editor. By clicking the box with information about layers in the <a href="Status-Bar-of-the-Image-View_7439394.html">status bar</a> at the far right of the Image View, you can open the Layer Editor. Alternatively, you can select “Text Layers” and “Edit Layers” from the context menu in the Image View.
            </p>
            <p class="figure">
              <img class="confluence-embedded-image" src="attachments/7439386/7766160.png" data-image-src="attachments/7439386/7766160.png"/>
            </p>
            <div class="noprint">
              <div class="caption">
                <div class="table-wrap">
                  <div class="table-wrap">
                    <table class="confluenceTable">
                      <tbody>
                        <tr>
                          <th class="confluenceTh">
                            Layer Editor
                          </th>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
            <div class="caption">
              <p class="noindent">
                In the upper part of the editor, all existing layers are listed. In the lower part of the editor, new layers can be created. To create a new layer, click “New/Assume”. The layer automatically receives a number. Click in the “Name” text field to add the name of the layer. By clicking “Color”, a palette opens from which a color can be chosen. By default, this layer is visible. Tick the second box to activate the layer. Only one layer can be active at any time. To remove a layer, click the “Remove” button.
              </p>
            </div>
            <p class="stmary-10x-x-109">
              You can hide or show layers via the <a href="Title-Bar-of-the-Image-View_7439392.html">title bar of the Image View</a>. Press [Shift+L] to show all layers.
            </p>
            <p class="stmary-10x-x-109">
              <img class="confluence-embedded-image" src="attachments/7439386/7766161.png" data-image-src="attachments/7439386/7766161.png"/>
            </p>
            <div class="noprint">
              <div class="caption">
                <div class="table-wrap">
                  <div class="table-wrap">
                    <table class="confluenceTable">
                      <tbody>
                        <tr>
                          <th class="confluenceTh">
                            Working with Multiple Layers
                          </th>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
            <div class="caption">
              <p>
                 
              </p>
              <p>
                 
              </p>
            </div>
            <p>
               
            </p>
            <hr class="endfigure"/>
          </div>
          
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
